# AbstractCollection Class Reference

Inheritance diagram for AbstractCollection:
[legend]

List of all members.

## Public Member Functions

| add (CollectionItem $item)
| addAll (array $items)
| clear ()
| contains (CollectionItem $item)
| containsAll (array $items)
| isEmpty ()
| size ()
| remove (CollectionItem $item)
| removeAll (array $items)
| retainAll (array $items)
| getList ()
| getByName ($name)
| has ($name)

## Protected Attributes

| $items = array()

## Detailed Description

Definition at line 12 of file AbstractCollection.class.php.

## Member Function Documentation

AbstractCollection::add | ( | CollectionItem $ | item | ) |

Implements Collection.

Definition at line 16 of file AbstractCollection.class.php.

References IdentifiableObject::getId().

Here is the call graph for this function:

AbstractCollection::addAll | ( | array $ | items | ) |

Implements Collection.

Definition at line 23 of file AbstractCollection.class.php.

AbstractCollection::clear | ( |  | ) |

Implements Collection.

Definition at line 31 of file AbstractCollection.class.php.

AbstractCollection::contains | ( | CollectionItem $ | item | ) |

Implements Collection.

Definition at line 38 of file AbstractCollection.class.php.

References IdentifiableObject::getId().

Here is the call graph for this function:

AbstractCollection::containsAll | ( | array $ | items | ) |

Implements Collection.

Definition at line 43 of file AbstractCollection.class.php.

AbstractCollection::getByName | ( | $ | name | ) |

Returns:
  CollectionItem

Implements Collection.

Definition at line 88 of file AbstractCollection.class.php.

AbstractCollection::getList | ( |  | ) |

Implements Collection.

Definition at line 80 of file AbstractCollection.class.php.

AbstractCollection::has | ( | $ | name | ) |

Implements Collection.

Definition at line 93 of file AbstractCollection.class.php.

AbstractCollection::isEmpty | ( |  | ) |

Implements Collection.

Definition at line 48 of file AbstractCollection.class.php.

AbstractCollection::remove | ( | CollectionItem $ | item | ) |

Implements Collection.

Definition at line 58 of file AbstractCollection.class.php.

AbstractCollection::removeAll | ( | array $ | items | ) |

Implements Collection.

Definition at line 66 of file AbstractCollection.class.php.

AbstractCollection::retainAll | ( | array $ | items | ) |

Implements Collection.

Definition at line 73 of file AbstractCollection.class.php.

AbstractCollection::size | ( |  | ) |

Implements Collection.

Definition at line 53 of file AbstractCollection.class.php.

## Member Data Documentation

AbstractCollection::$items = array()`[protected]`

Definition at line 14 of file AbstractCollection.class.php.

The documentation for this class was generated from the following file:

- main/Base/AbstractCollection.class.php